Skip to content
Fetching contributors…
Cannot retrieve contributors at this time
181 lines (166 sloc) 6.45 KB
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>com.tngtech.confluence.plugin</groupId>
<artifactId>multivote</artifactId>
<version>1.1.1-SNAPSHOT</version>
<organization>
<name>TNG Technology Consulting</name>
<url>http://www.tngtech.com/</url>
</organization>
<name>Confluence Multivote Plugin</name>
<description>Simple Confluence plugin to vote for multiple items</description>
<packaging>atlassian-plugin</packaging>
<url />
<developers>
<developer>
<name>Markus Eberle</name>
<organization>TNG Technology Consulting GmbH</organization>
</developer>
<developer>
<name>Martin Sander</name>
<organization>TNG Technology Consulting GmbH</organization>
</developer>
</developers>
<scm>
<connection>scm:git:git@github.com:TNG/multivote.git</connection>
<developerConnection>scm:git:git@github.com:TNG/multivote.git</developerConnection>
<url>scm:git:git@github.com:TNG/multivote.git</url>
</scm>
<dependencies>
<!-- Confluence dependencies -->
<dependency>
<groupId>com.atlassian.confluence</groupId>
<artifactId>confluence</artifactId>
<version>${confluence.version}</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>javax.servlet</groupId>
<artifactId>servlet-api</artifactId>
<version>2.3</version>
<scope>provided</scope>
</dependency>
<!-- rest -->
<dependency>
<groupId>org.hamcrest</groupId>
<artifactId>hamcrest-library</artifactId>
<version>1.2.1</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>4.6</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.jodd</groupId>
<artifactId>jodd-wot</artifactId>
<version>3.3</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-api</artifactId>
<version>1.6.4</version>
<!-- this is needed because of classloader issues -->
<scope>provided</scope>
</dependency>
<dependency>
<groupId>javax.ws.rs</groupId>
<artifactId>jsr311-api</artifactId>
<version>1.0</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>javax.xml.bind</groupId>
<artifactId>jaxb-api</artifactId>
<version>2.1</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>com.atlassian.plugins.rest</groupId>
<artifactId>atlassian-rest-common</artifactId>
<version>1.0.2</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>org.mockito</groupId>
<artifactId>mockito-core</artifactId>
<version>1.8.1</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>com.atlassian.confluence.plugin</groupId>
<artifactId>func-test</artifactId>
<version>2.3</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>net.sourceforge.jwebunit</groupId>
<artifactId>jwebunit-htmlunit-plugin</artifactId>
<version>2.2</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>net.sourceforge.nekohtml</groupId>
<artifactId>nekohtml</artifactId>
<version>1.9.12</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>com.atlassian.selenium</groupId>
<artifactId>atlassian-selenium-browsers-auto</artifactId>
<version>2.0.0-m17</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>com.atlassian.selenium</groupId>
<artifactId>atlassian-selenium</artifactId>
<version>2.0.0-m17</version>
<scope>test</scope>
</dependency>
</dependencies>
<build>
<plugins>
<plugin>
<groupId>com.atlassian.maven.plugins</groupId>
<artifactId>maven-confluence-plugin</artifactId>
<version>3.7.2</version>
<extensions>true</extensions>
<configuration>
<productVersion>${confluence.version}</productVersion>
<productDataPath>${basedir}/src/test/resources/generated-test-resources.zip</productDataPath>
<server>localhost</server>
<enableFastdev>false</enableFastdev><!-- fastdev deployment is much slower than atlas-cli -->
</configuration>
</plugin>
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.3.2</version>
<configuration>
<source>1.6</source>
<target>1.6</target>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-release-plugin</artifactId>
<version>2.2.2</version>
<configuration>
<pushChanges>false</pushChanges>
</configuration>
</plugin>
</plugins>
</build>
<properties>
<confluence.version>4.3</confluence.version>
<confluence.data.version>3.5</confluence.data.version>
<downloadSources>true</downloadSources>
<downloadJavadocs>true</downloadJavadocs>
<confluence.plugin.bundled>true</confluence.plugin.bundled>
<confluence.plugin.install>true</confluence.plugin.install>
<atlassian.plugin.key>com.tngtech.confluence.plugin.multivote</atlassian.plugin.key>
<atlassian.product.test-lib.version>2.2</atlassian.product.test-lib.version>
</properties>
</project>
Something went wrong with that request. Please try again.